# Verifications

The following endpoints are used to insert and retrieve entries representing `verifications` (of an identity's documents) from the database.

{% tabs %}
{% tab title="VERIFICATIONS ENDPOINTS" %}

```
GET /verifications/:id
GET /verifications
```

{% endtab %}
{% endtabs %}

## The `verification` object

The `verification` object represents the result of a `document`'s check by a KYC partner.&#x20;

A `verification` is identified by a unique, random `id` and relates to a user's `identityId`.&#x20;

{% tabs %}
{% tab title="VERIFICATIONS OBJECT" %}

```javascript
{
    "id": "3519322a-6881-472f-8e1f-2486d5f3cb15",
    "identityId": "e0564926-96e0-42e2-a544-68bc18598e40",
    "status": "pending",
    "exceptionDetails": "",
    "createdAt": "2020-01-09T10:21:05.760Z",
    "updatedAt": "2020-01-15T13:12:21.860Z"
}
```

{% endtab %}
{% endtabs %}

## GET /verifications/:id

<mark style="color:blue;">`GET`</mark> `https://api.publicmint.com/verifications/:id`

This endpoint retrieves a specific verification by its unique `id` attribute.

#### Path Parameters

| Name | Type   | Description            |
| ---- | ------ | ---------------------- |
| id   | string | Id of the verification |

{% tabs %}
{% tab title="200 " %}

```
{
    "id": "1c1b39a2-f8ec-4680-82cd-09926e1a2c95",
    "identity_id": "7d0e05c3-73b3-45a7-af03-0ec7e89c9dd7",
    "status": "pending",
    "exception_details": "",
    "external_id": "5b161fd6-66a3-4a44-9e1e-738d2b5a573f",
    "external_system": "PrimeTrust",
    "integ_status": "waiting",
    "integ_messages": null,
    "created_at": "2019-11-11T17:47:13.221Z",
    "updated_at": "2019-11-11T17:50:14.83
```

{% endtab %}
{% endtabs %}

#### Request

{% tabs %}
{% tab title="Request" %}

```javascript
GET https://api.sandbox.publicmint.io/verifications/ddec6616-b29f-4517-98f9-612ec7859120
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X GET \
  https://api.sandbox.publicmint.io/verifications/1c1b39a2-f8ec-4680-82cd-09926e1a2c95 \
  -H 'apikey: {INSERT API KEY HERE}'
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "id": "3519322a-6881-472f-8e1f-2486d5f3cb15",
    "identityId": "e0564926-96e0-42e2-a544-68bc18598e40",
    "status": "pending",
    "exceptionDetails": "",
    "createdAt": "2020-01-09T10:21:05.760Z",
    "updatedAt": "2020-01-15T13:12:21.860Z"
}
```

{% endtab %}
{% endtabs %}

## GET /verifications

<mark style="color:blue;">`GET`</mark> `https://api.publicmint.com/verifications`

This endpoint returns a list of all `verifications` associated with you. *This endpoint supports pagination.*

{% tabs %}
{% tab title="200 " %}

```
{
    "total": 32,
    "data": [
        {
            "id": "3519322a-6881-472f-8e1f-2486d5f3cb15",
            "identityId": "e0564926-96e0-42e2-a544-68bc18598e40",
            "status": "pending",
            "exceptionDetails": "",
            "createdAt": "2020-01-09T10:21:05.760Z",
            "updatedAt": "2020-01-15T13:12:21.860Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}

#### Example Call

{% tabs %}
{% tab title="Request" %}

```javascript
GET https://api.sandbox.publicmint.io/verifications

// Paginated

GET https://api.sandbox.publicmint.io/verifications?page[number]=1&page[size]=1
```

{% endtab %}

{% tab title="Curl" %}

```
curl -X GET \
  'https://api.sandbox.publicmint.io/verifications?page[number]=1&page[size]=1' \
  -H 'apikey: {INSERT API KEY HERE}'
```

{% endtab %}

{% tab title="Response" %}

```javascript
{
    "total": 32,
    "data": [
        {
            "id": "3519322a-6881-472f-8e1f-2486d5f3cb15",
            "identityId": "e0564926-96e0-42e2-a544-68bc18598e40",
            "status": "pending",
            "exceptionDetails": "",
            "createdAt": "2020-01-09T10:21:05.760Z",
            "updatedAt": "2020-01-15T13:12:21.860Z"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.publicmint.io/api/reference/verifications.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
